Missing crt1

Adriaan van Os gpc at microbizz.nl
Thu Sep 15 18:13:35 CEST 2011


Kevan Hashemi wrote:

> Last night I tried to solve my problem by running cctools-576 from your 
> website. After that, my linker does not recognise the 
> -mmacosx-version-min=10.4 option, despite removing and re-installing 
> XCode 2.5. Where does this cctools come from? I Googled it, but am 
> finding unrelated tools of the same name.

The cctools-576 are an older version of cctools, that work around a problem in Xcode/Projectbuilder 
1. My website says

	Unless you have installled Xcode 2.x or 3.x, you have to update Apple's Mac OS X assembler and 
linker (cctools-576). Click here to download sources (1.4 MB) and binaries (1.7 MB).

So, forget about them for Xcode 2, 3 or 4.

> In theory, can I run cctools-576 then run gpc, and so avoid installing XCode all-together? 

Although they install a linker and assembler, some extra files are needed to assemble and link with 
success. It is rather clumsy to have to install all of Xcode for just those few files, but I can't 
help it, that's Apple politics.

Regards,

Adriaan van Os



More information about the Gpc mailing list